Subject: linux-next: build failure after merge of the mtd tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 2 Sep 2025 12:08:52 +1000

Hi all,

After merging the mtd tree, today's linux-next build (x86_64 allmodconfig)
failed like this:

ERROR: modpost: "mtd_virt_concat_node_create" [drivers/mtd/mtd.ko] undefined!
ERROR: modpost: "mtd_virt_concat_add" [drivers/mtd/mtd.ko] undefined!
ERROR: modpost: "mtd_virt_concat_create_join" [drivers/mtd/mtd.ko] undefined!
ERROR: modpost: "mtd_virt_concat_destroy" [drivers/mtd/mtd.ko] undefined!

Caused by commit

  fa47dc829519 ("mtd: Add driver for concatenating devices")

I have used the mtd tree from next-20250901 for today.

-- 
Cheers,
Stephen Rothwell